<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="/tickets">Tickets</a></li>
      <li class="breadcrumb-item active" aria-current="page">Edit</li>
    </ol>
  </nav>
  
    
  <div class="w-75 mx-auto">

 
      <div class="input-group mb-3">
          <div class="input-group-prepend">
            <label class="input-group-text" for="inputGroupSelectCustomer">Customer</label>
          </div>
          <select [(ngModel)]="ticketData.customer" class="custom-select" id="inputGroupSelectCustomer">
            <option *ngFor="let p of customers; let i=index;" value="{{p.id}}">{{p.name}}</option>
          </select>
        </div>

      <div class="input-group mb-3">
          <div class="input-group-prepend">
            <label class="input-group-text" for="inputGroupSelectStatus">Status</label>
          </div>
          <select [(ngModel)]="ticketData.status" class="custom-select" id="inputGroupSelectStatus">
            <option value="1" selected>Queued</option>
            <option value="2">Doing</option>
            <option value="3">Blocked</option>
            <option value="4">Done</option>
          </select>
        </div>
 

        <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text" id="basic-addon1">Equipment</span>
            </div>
            <input [(ngModel)]="ticketData.equipment" type="text" class="form-control" placeholder="Equipment" aria-label="Equipment" aria-describedby="basic-addon1">
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text" id="basic-addon1">Equipment Brand</span>
            </div>
            <input [(ngModel)]="ticketData.equipmentBrand" type="text" class="form-control" placeholder="EquipmentBrand" aria-label="EquipmentBrand" aria-describedby="basic-addon1">
        </div> 
        <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text" id="basic-addon1">Equipment Kind</span>
            </div>
            <input [(ngModel)]="ticketData.equipmentKind" type="text" class="form-control" placeholder="EquipmentKind" aria-label="EquipmentKind" aria-describedby="basic-addon1">
        </div> 
        <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text" id="basic-addon1">Issue</span>
            </div>
            <input [(ngModel)]="ticketData.issue" type="text" class="form-control" placeholder="Issue" aria-label="Issue" aria-describedby="basic-addon1">
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
              <label class="input-group-text" for="inputGroupSelectTechnical">Technical</label>
            </div>
            <select [(ngModel)]="ticketData.technical" class="custom-select" id="inputGroupSelectTechnical">
              <option *ngFor="let p of users; let i=index;" value="{{p.id}}">{{p.name}}</option>
            </select>
          </div>
  

  </div>

      

  <div class="w-75 mx-auto text-right">
      <button (click)="updateTicket()" class="btn btn-success btn-sm">Save</button>&nbsp;
      <a href="/tickets  " class="btn btn-danger btn-sm">Cancel</a>
    </div>